.hover-container {
  margin-top: 100px;
  background-color:skyblue;
  box-shadow: 0px 2px 7px #292929;
  -moz-box-shadow: 0px 2px 7px #292929;
  -webkit-box-shadow: 0px 2px 7px #292929;
  border-radius: 10px;
  -moz-border-radius: 10px;
  -webkit-border-radius: 10px;
  text-align: center;
  width: 70vw;
}

.hover-container h2 {
  width: 100%;
  color: white;
  font-weight: bold;
  border-color: white 1px;
  border-style: none none dashed none;
  padding: 1rem 0;
  margin: 0 !important;
}

.hover-container .scroll-placeholder  {
  width: 100%;
  height: 70vh;
  overflow-y: scroll;
  overflow-x: hidden;
}

.hover-container .card {
  background-color: white;
  border-radius: 10px;
  -moz-border-radius: 10px;
  -webkit-border-radius: 10px;

  border: black solid 1px;
  width: 90%;
  /* width: clamp(350px, 20vw, 1000px); */
  height: clamp(75px, 10vw, 100px);
  margin: 1rem;
  padding: 10px;
  text-overflow: ellipsis;  
  white-space: nowrap;
  /* overflow: hidden; */

  transition: 0.2s ease-in-out;
}

.hover-container .card-title {
  font-weight: bold;
  height: 50%;
  border: gray 1px;
  border-style: none none dotted none;
  display: flex;
  text-align: center;
  align-items: center;
  font-size: 25px;
}

.hover-container .card-header {
  height: 5%;
  padding: 0;
  border: none;
  display: flex;
  text-align: center;
  align-items: center;
  justify-content: flex-start;
  font-weight: bold;
  color: #AAA;
}

.hover-container .card-footer {
  height: 5%;
  padding: 0;
  display: flex;
  border: none;
  text-align: center;
  align-items: center;
  justify-content: flex-end;
  font-weight: bold;
  color: #AAA;
}

.hover-container .row-placeholder {
  display: grid;
  grid-template-columns: 100% 0;
  grid-column-gap: 10px;
  width: 100%;
  transition: 0.25s ease-in-out;
}

.hover-container .row-placeholder:hover {
  grid-template-columns: clamp(350px, 22vw, 1000px) clamp(350px, 60%, 1000px);
}

.hover-container .row-placeholder:hover .card-content{
  opacity: 1;
  width: 85%;
  height: clamp(75px, 20vw, 300px);
}

.hover-container .row-placeholder:hover .card{
  display: block;
  width: 100%;
}

@media(max-width:770px) {
  .hover-container .card {
    height: 125px;
  }
  
  .hover-container .card-title {
    height: 40px;
  }
  
  .hover-container .card-header {
    height: 30px;
  }

  .hover-container .card-footer {
    height: 30px;
  }

  .hover-container .row-placeholder {
    grid-template-columns: auto;
    grid-template-rows: auto 0;
  }

  .hover-container .row-placeholder:hover .card{
    display: block;
    width: 90%;
  }

  .hover-container .row-placeholder:hover .card-content{
    width: 90%;
    height: clamp(150px, 45vw, 300px);
  }

  .hover-container .row-placeholder:hover {
    grid-template-columns: auto;
    grid-template-rows: auto auto;
  }

  .scroll-placeholder::-webkit-scrollbar {
    display: none;
  }
}

.scroll-placeholder::-webkit-scrollbar-track {
  box-shadow: inset 0 0 5px grey;
  border-radius: 10px;
}

.hover-container .card-content {
  display: block;
  /* display: none; */
  background-color: white;
  border-radius: 10px;
  -moz-border-radius: 10px;
  -webkit-border-radius: 10px;
  opacity: 0;

  border: black solid 1px;
  height: 0;
  width: 0;
  margin: 1rem;
  padding: 10px;
  white-space: pre-wrap;
  overflow: hidden;
  text-overflow: ellipsis;
  transition: 0.5s ease-in-out;
}